Class | Date
In: | lib/json/add/date.rb
Parent: | Object

Date serialization/deserialization

### Methods

as_json json_create to_json

### External Aliases

sg | -> | start

### Public Class methods

json_create(object)

Deserializes JSON string by converting Julian year `y`, month `m`, day `d` and Day of Calendar Reform `sg` to Date.

### Public Instance methods

as_json(*)

Returns a hash, that will be turned into a JSON object and represent this object.

to_json(*args)

Stores class name (Date) with Julian year `y`, month `m`, day `d` and Day of Calendar Reform `sg` as JSON string

[Validate]